<?php
include_once ('./core/base.php');
falseauth();

$header = 'Ратуша';

include_once ('./core/head.php');

if($uloc['clanhall'] > 0) {

if(!$uclan){

$cost_gold = 500;
$cost_silver = 100000;

$_POST['name'] = fl($_POST['name']);

if(isset($_REQUEST['registry'])){
	if($u['level'] < 10){
		$_SESSION['message'] = 'Вы должны иметь как минимум 10 уровень.';
		header('Location: /city/clanhall/');
		exit;
	}else{
		if($uclan){
			$_SESSION['message'] = 'Вы уже в клане.';
			header('Location: /clan/');
			exit;
		}else{
			$clan_name_nr = $base -> query('SELECT * FROM `clans` WHERE `name` = "'.$_POST['name'].'" LIMIT 1') -> num_rows;
			if($clan_name_nr > 0){
				$_SESSION['message'] = 'Клан с таким названием уже существует.';
				header('Location: /city/clanhall/');
				exit;
			}else{
				if($u['gold'] < $cost_gold OR $u['silver'] < $cost_silver){
					$_SESSION['message'] = 'Недостаточно средств.';
					header('Location: /city/clanhall/');
					exit;
				}else{
					if(strlen($_POST['name']) < 3 || strlen($_POST['name']) > 25){
						$_SESSION['message'] = 'Название клана должно содержать не менее 3 символов и не более 25.';
						header('Location: /city/clanhall/');
						exit;
					}else{
						$base -> query('INSERT INTO `clans` SET
							`name` = "'.$_POST['name'].'",
							`emblem` = "standard",
							`sign` = "standard",
							`announcement` = "За '.$_POST['name'].'!",
							`level` = "1",
							`exp` = "0",
							`treasury_silver` = "'.intval($cost_silver / 2).'",
							`treasury_gold` = "'.intval($cost_gold / 2).'",
							`leader` = "'.$u['id'].'",
							`max_members` = "10"');
						$clan_id = mysqli_insert_id($base);
						$base -> query('UPDATE `users` SET
							`clan` = "'.$clan_id.'",
							`clan_rank` = "4",
							`clan_exp` = "0",
							`gold` = `gold` - "'.$cost_gold.'",
							`silver` = `silver` - "'.$cost_silver.'"
							WHERE `id` = "'.$u['id'].'" LIMIT 1');
						$base -> query("INSERT INTO `chat` (`user`,`text`,`time`) VALUES (1,'".$u['login']." зарегистрировал клан ".$_POST['name']."!','".time()."')");
						$_SESSION['message'] = 'Клан '.$_POST['name'].' зарегистрирован.';
						header('Location: /clan/');
						exit;
					}
				}
			}
		}
	}
}

echo '<div class="b">';

echo '<div class="title">Ратуша</div>';

echo '<center><div class="border"><img style="width: 100%; max-width: 336px;" src="/images/places/clanhall.png"></div></center>';

echo '<table class="event_info"><tr><td><img src="/images/icons/info.png"></td><td> - В Ратуше вы можете зарегистрировать свой клан.<br/>
- Чтобы зарегистрировать клан, у вас должен быть как минимум 10 уровень.<br/>
- После регистрации клана, вы сможете приглашать в него людей, улучшать его, и получать бонусы к характеристикам от построек клана.<br/>
- Половина средств потраченных на регистрацию, перейдёт в казну клана.</td></tr></table>';

echo '<center>';

echo '<br/>Стоимость регистрации: <img src="/images/icons/gold.png">'.n_f($cost_gold).' <img src="/images/icons/silver.png">'.n_f($cost_silver).'';

echo '<form action="" method="POST">';
echo '<input type="text" name="name" placeholder="Название клана" /> <br/>';
echo '<input type="submit" name="registry" value="Регистрировать"></br>';
echo '</form>';

echo '</center>';

echo '<br/><a class="btn" href="/city/"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

}else{
	header('Location: /clan/');
	exit;
}

}else{
	header('Location: /location/');
	exit;
}


include_once ('./core/foot.php');
?>